Bug 202966 - seamonkey fails to retrieve https URLs on x86_64
seamonkey fails to retrieve https URLs on x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 11:00 EDT by Andrew Dunstan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: seamonkey-1.0.5-0.5.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 16:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Dunstan 2006-08-17 11:00:39 EDT
Description of problem:

cannot open SSL pages


Version-Release number of selected component (if applicable):

seamonkey.x86_64                         1.0.4-0.5.1.fc5 

How reproducible:


completely


Steps to Reproduce:
1. open browser
2. navigate to https://bugzilla.redhat.com/bugzilla/index.cgi (or any https url)
3.
  
Actual results:

Following appears:

Incorrect Response

This document cannot be displayed unless you install the Personal Security
Manager (PSM). Download and install PSM and try again, or contact your system
administrator. 

The site responded to the network request in an unexpected way and the browser
cannot continue.

Expected results:

page opens

Additional info:

Firefox on the same machine has no problem opening the url.
SELinux is disabled.
This does not appear to happen on my i686 box.
Comment 1 Walt Smith 2006-08-17 15:34:21 EDT
Same problem on x86-32  (P III ), FC5.
Comment 2 Kai Engert (:kaie) 2006-08-17 15:42:12 EDT
I suspect this is the same as bug 201922.

The solution is to update the nss package to the latest available update package.

On your system, do you still have nss-3.11-4 installed?
Please update to nss-3.11.1-1 or later.

Unfortunately, updating the nss package may not be sufficient, you'll also have
to locate the file "compreg.dat" in your profile directory (below ~/.mozilla).
This combined should fix it. If this helps you, please report in this bug.

We are currently discussing how to prevent this bug in the future, and ensure
that newer seamonkey/firefox releases will automatically pull in the required
nss package.

Comment 3 Andrew Dunstan 2006-08-17 15:57:22 EDT
Upgrading the library was sufficient. Thanks.
Comment 4 Walt Smith 2006-08-27 18:42:36 EDT
Upgrading the nss file was sufficient for x86-32, P-III FC5... thanks.
Comment 5 Kai Engert (:kaie) 2006-09-20 16:35:33 EDT
The seamonkey package has been updated to depend on a newer version of NSS.
Users updating to seamonkey-1.0.5-0.5.fc5 will automatically get a newer NSS lib
and this bug will be fixed for them

Note You need to log in before you can comment on or make changes to this bug.